key
ksort
Fonctions sur les tableaux
PHP Manual

# krsort

(PHP 4, PHP 5)

krsort — Trie un tableau en sens inverse et suivant les clés

### Description

bool krsort ( array `&$array` [, int `$sort_flags` ] )

krsort() trie le tableau `array` en ordre inverse et suivant les clés, en maintenant la correspondance entre les clés et les valeurs. Cette fonction est pratique pour les tableaux associatifs.

### Liste de paramètres

`array`

  Le tableau d'entrée.

`sort_flags`

  Vous pouvez modifier le comportement de cette fonction en utilisant le paramètre optionnel `sort_flags` . Pour plus de détails, voyez le manuel pour la fonction sort().

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

### Exemples

Exemple #1 Exemple avec krsort()

`<?php
$fruits = array("d"=>"lemon", "a"=>"orange", "b"=>"banana", "c"=>"apple");
krsort($fruits);
foreach ($fruits as $key => $val) {
echo "$key = $val\n";
}
?>`

L'exemple ci-dessus va afficher :

    d = lemon
    c = apple
    b = banana
    a = orange

### Voir aussi

- asort()
- arsort()
- ksort()
- sort()
- natsort()
- rsort()

key
ksort
Fonctions sur les tableaux
PHP Manual